%define     trac_ver    0.12
%define		plugin		eventum
Summary:	Plugin for linking Eventum issues in Trac
Name:		trac-plugin-%{plugin}
Version:	0.4
Release:	2
License:	BSD-like
Group:		Applications/WWW
Source0:	https://github.com/eventum/trac-plugin-eventum/tarball/%{name}-0_4-1/%{plugin}-%{version}.tgz
# Source0-md5:	5fa029232b261e1732ac707aa8878f18
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpmbuild(macros) >= 1.268
%pyrequires_eq  python-modules
Requires:	trac >= %{trac_ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plugin for linking Eventum issues in Trac

%prep
%setup -qc
# for github urls:
mv *-%{plugin}-*/* .

%build
%{__python} setup.py build
%{__python} setup.py egg_info

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--single-version-externally-managed \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
	%banner -e %{name} <<-'EOF'
	To enable and configure Eventum plugin, configure in conf/trac.ini:

	[components]
	trac.eventum.* = enabled

	[eventum]
	url = http://eventum.example.org/view.php?id=%d

	And restart Trac server.
EOF
#' - vim
fi

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/trac/%{plugin}
%{py_sitescriptdir}/TracEventumLink-*.egg-info
%changelog
* Sat Sep 08 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/trac-plugin-eventum.git;a=log;h=master

* Sat Sep 08 2012 Elan Ruusamäe <glen@delfi.ee> 4dd011e
build from github tarball

* Sat Jul 28 2012 Elan Ruusamäe <glen@delfi.ee> 0ae2857
- v0.4: trac 0.12 icon fix

* Fri Nov 05 2010 Elan Ruusamäe <glen@delfi.ee> 22c5478
- egrep is deprecated (use grep -E)

* Tue Aug 24 2010 Elan Ruusamäe <glen@delfi.ee> e5cdc85
- release 6

* Mon Jul 26 2010 Elan Ruusamäe <glen@delfi.ee> 8d098a7
- release 5

* Mon Jul 26 2010 Elan Ruusamäe <glen@delfi.ee> e18df50
- release 4

* Mon Jul 26 2010 Elan Ruusamäe <glen@delfi.ee> 09e182a
- release 3

* Mon Jul 26 2010 Elan Ruusamäe <glen@delfi.ee> a8d8117
- release 2

* Mon Jul 26 2010 Elan Ruusamäe <glen@delfi.ee> 82cb06b
- virtual cvs client dep

* Mon Jul 26 2010 Elan Ruusamäe <glen@delfi.ee> efc412b
- v0.3: allow case mangle in issue markup, like in Changeset 31826

* Tue Apr 07 2009 Elan Ruusamäe <glen@delfi.ee> 38b0c18
- rebuild for th; rel 3

* Wed Sep 17 2008 Elan Ruusamäe <glen@delfi.ee> a2dd0da
- rel 2: eventum url is configurable

* Wed Sep 17 2008 Elan Ruusamäe <glen@delfi.ee> 942ec81
- release 1

* Wed Sep 17 2008 Elan Ruusamäe <glen@delfi.ee> be55a44
- recognize "issue XXX" in trac texts

